import { EChartsOption, ECharts as EChartsInstance, init as initEcharts } from "./echarts.ts";
import React, { CSSProperties } from "react";
/** When the theme or initOption changes (shallow comparison), reinitialize Echarts */
export declare function useEChartsRef(domRef: React.RefObject<HTMLElement | null>, config?: UseEchartsOption): React.MutableRefObject<EChartsInstance | undefined>;
export declare const ECharts: React.MemoExoticComponent<React.ForwardRefExoticComponent<UseEchartsOption & {
    style?: React.CSSProperties | undefined;
} & React.RefAttributes<EChartsInstance>>>;
export type ECharts = EChartsInstance;
export type { EChartsOption };
export type EChartsInitOpts = NonNullable<Parameters<typeof initEcharts>[2]>;
export interface UseEchartsOption {
    theme?: string | object;
    init?: EChartsInitOpts;
    option?: EChartsOption;
    loading?: boolean;
    /** 固定渲染大小;  默认会自动监听 window resize 事件, 自动调用 Echarts.resize(); 设置为true将不会监听 */
    fixedSize?: boolean;
}
export type EChartsProps = UseEchartsOption & {
    style?: CSSProperties;
};
